#include <stdio.h>
#include <stdlib.h>


unsigned long long int power(int a, int b){

    if(b==0){
        return 1;
    }
    int i;
    unsigned long long int result=a;

    for(i=0;i<b-1;i++){
        result*=a;
    }

    return result;

}

unsigned long long int legnagyobbkivonhato(unsigned long long int V){ //////      VISSZAADJA AZT A LEGNAGYOBB SZAMOT AMI KISEBB MINT V ES d*10^k ALAKU.
    unsigned long long int a;
    int k=0;
    int d = 1;
    int f=0;

    while(d*power(10,k)<=V){

        if(d==1){
            d=2;
            f=1;

        }else if(d==2){
            d=5;
            f=2;

        }else if(d==5){
            k++;
            d=1;
            f=3;
        }


    }
    if(f==1){
        a=1*power(10,k);
        return a;
    }
    if(f==2){
        a=2*power(10,k);
        return a;
    }
    if(f==3){
        a=5*power(10,k-1);
        return a;
    }


}

int main()
{
    unsigned long long int V;
    scanf("%llu",&V);
    int dbbankjegykell=0;

    while(V>0){
        V=V-legnagyobbkivonhato(V);
        dbbankjegykell=dbbankjegykell+1;
    }

    printf("%d",dbbankjegykell);

    return 0;
}